Subject: Re: [PATCH] ReviewingGuidelines: encourage positive reviews more

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 25 Jul 2024 08:51:56 +0200

On Wed, Jul 24, 2024 at 02:14:37PM -0700, Junio C Hamano wrote:
> I saw some contributors hesitate to give a positive review on
> patches by their coworkers.  When written well, a positive review
> does not have to be a hollow "looks good" that rubber stamps an
> otherwise useless approval on a topic that is not interesting to
> anybody.

Oh, yes, this addition is very welcome indeed! It's a painpoint of ours
at GitLab, and folks were indeed quite unsure about how to handle
positive reviews. I was trying to guide them into the direction of
"reverbalizing" and "thinking out aloud" parts of a patch series that
are tricky in order to demonstrate that they have indeed read through
the patches and understand them. Having all of this written down
explicitly should hopefully help them.

Except for the typo mentioned by Eric I don't have anything else to add.
Thanks!

Patrick